# Get a LedgerStateDelta object for a given round

GET

/v2/deltas/{round}

Get ledger deltas for a round.

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Parameters

### Path Parameters

**round**  
required  
integer  
A round number.

### Query Parameters

**format**  
string  
Allowed values:  json  msgpack  
Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.

## Responses

### 200

Contains ledger deltas  
Select media type application/json application/msgpack  
Ledger StateDelta object  
object  
Ledger StateDelta object  
object

### 401

Invalid API Token  
Select media type application/json application/msgpack  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string

### 404

Could not find a delta for round  
Select media type application/json application/msgpack  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string

### 408

Timed out on request  
Select media type application/json application/msgpack  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string

### 500

Internal Error  
Select media type application/json application/msgpack  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string

### 503

Service Temporarily Unavailable  
Select media type application/json application/msgpack  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string  
An error response with optional data field.  
object  
**data**  
object  
**message**  
required  
string

### default

Unknown Error
